﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication52
{
    public partial class PivotMap : UserControl
    {
        public PivotMap()
        {
            InitializeComponent();
            xPivotMap.ItemsSource = this.GetData(); //data.FinancialsByAwardCollection.Where(w => w.ExpensesIncurred > 0);
        }

        public List<GdpInfo> GetData()
        {
            List<GdpInfo> data = new List<GdpInfo>()
            {
                new GdpInfo() { Country = "Australia", Gdp = 1146 },
                new GdpInfo() { Country = "Austria", Gdp = 385.1 },
                new GdpInfo() { Country = "Belgium", Gdp = 468.6 },
                new GdpInfo() { Country = "Brazil", Gdp = 1749 },
                new GdpInfo() { Country = "Canada", Gdp = 1565 },
                new GdpInfo() { Country = "China", Gdp = 5308 },
                new GdpInfo() { Country = "Denmark", Gdp = 318.1 },
                new GdpInfo() { Country = "France", Gdp = 2669 },
                new GdpInfo() { Country = "Germany", Gdp = 3402 },
                new GdpInfo() { Country = "Greece", Gdp = 329 },
                new GdpInfo() { Country = "India", Gdp = 1290 },
                new GdpInfo() { Country = "USA", State = "NY", Gdp = 3000 },
                new GdpInfo() { Country = "USA", State = "Alaska", Gdp = 2000 },
                new GdpInfo() { Country = "USA", State = "California", Gdp = 5000 },
                new GdpInfo() { Country = "USA", State = "Ohio", Gdp = 4600 },
            };
            return data;
        }
    }

    public class GdpInfo
    {
        public string Continent { get; set; }
        public string Country { get; set; }
        public string State { get; set; }
        public double Gdp { get; set; }
    }
}
